namespace efl { namespace ui { 
inline ::efl::eolian::return_traits< ::efl::ui::Item>::type Menu::selected_item_get() const
{
    ::Efl_Ui_Item* __return_value =  ::efl_ui_menu_selected_item_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::ui::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::ui::Item>::type Menu::first_item_get() const
{
    ::Efl_Ui_Item* __return_value =  ::efl_ui_menu_first_item_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::ui::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::ui::Item>::type Menu::last_item_get() const
{
    ::Efl_Ui_Item* __return_value =  ::efl_ui_menu_last_item_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::ui::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::eina::iterator< ::efl::ui::Item>>::type Menu::items_get() const
{
   Eina_Iterator * __return_value =  ::efl_ui_menu_items_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::iterator< ::efl::ui::Item>>::type>(__return_value);
}
} } 
namespace eo_cxx {
namespace efl { namespace ui { 
inline ::efl::eolian::return_traits< ::efl::ui::Item>::type Menu::selected_item_get() const
{
    ::Efl_Ui_Item* __return_value =  ::efl_ui_menu_selected_item_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::ui::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::ui::Item>::type Menu::first_item_get() const
{
    ::Efl_Ui_Item* __return_value =  ::efl_ui_menu_first_item_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::ui::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::ui::Item>::type Menu::last_item_get() const
{
    ::Efl_Ui_Item* __return_value =  ::efl_ui_menu_last_item_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::ui::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::eina::iterator< ::efl::ui::Item>>::type Menu::items_get() const
{
   Eina_Iterator * __return_value =  ::efl_ui_menu_items_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::iterator< ::efl::ui::Item>>::type>(__return_value);
}
inline efl::ui::Menu::operator ::efl::ui::Menu() const { return *static_cast< ::efl::ui::Menu const*>(static_cast<void const*>(this)); }
inline efl::ui::Menu::operator ::efl::ui::Menu&() { return *static_cast< ::efl::ui::Menu*>(static_cast<void*>(this)); }
inline efl::ui::Menu::operator ::efl::ui::Menu const&() const { return *static_cast< ::efl::ui::Menu const*>(static_cast<void const*>(this)); }
} } }

